package kccf.ton.service;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;

import cmm.util.CmmVO;

@SuppressWarnings("serial")
public class LocalToonVO extends CmmVO{
	
	private String id = "";
	private String contType = "";
	private String contentId = "";
	private String contentType = "";
	private String contentTypeId = "";
	private String contentTypeName = "";
	private String cat1 = "";
	private String cat1Name = "";
	private String cat2 = "";
	private String cat2Name = "";
	private String cat3 = "";
	private String cat3Name = "";
	private String title = "";
	private String summary = "";
	private String zipCode = "";
	private String tel = "";
	private String mainImage = "";
	private String latitude = "";
	private String longitude = "";
	private String sidoName = "";
	private String sigunguName = "";
	private String addr1 = "";
	private String addr2 = "";
	private String ntceBgnde = "";
	private String ntceEndde = "";
	private String website = "";
	private Date createdTime = null;
	private Date modifiedTime = null;
	
	private String [] categoryArray1;
	private String [] categoryArray2;
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getContType() {
		return contType;
	}
	public void setContType(String contType) {
		this.contType = contType;
	}
	public String getContentId() {
		return contentId;
	}
	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	public String getContentType() {
		return contentType;
	}
	public void setContentType(String contentType) {
		this.contentType = contentType;
	}
	public String getContentTypeId() {
		return contentTypeId;
	}
	public void setContentTypeId(String contentTypeId) {
		this.contentTypeId = contentTypeId;
	}
	public String getContentTypeName() {
		return contentTypeName;
	}
	public void setContentTypeName(String contentTypeName) {
		this.contentTypeName = contentTypeName;
	}
	public String getCat1() {
		return cat1;
	}
	public void setCat1(String cat1) {
		this.cat1 = cat1;
	}
	public String getCat1Name() {
		return cat1Name;
	}
	public void setCat1Name(String cat1Name) {
		this.cat1Name = cat1Name;
	}
	public String getCat2() {
		return cat2;
	}
	public void setCat2(String cat2) {
		this.cat2 = cat2;
	}
	public String getCat2Name() {
		return cat2Name;
	}
	public void setCat2Name(String cat2Name) {
		this.cat2Name = cat2Name;
	}
	public String getCat3() {
		return cat3;
	}
	public void setCat3(String cat3) {
		this.cat3 = cat3;
	}
	public String getCat3Name() {
		return cat3Name;
	}
	public void setCat3Name(String cat3Name) {
		this.cat3Name = cat3Name;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public String getZipCode() {
		return zipCode;
	}
	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}
	public String getTel() {
		return tel;
	}
	public void setTel(String tel) {
		this.tel = tel;
	}
	public String getMainImage() {
		return mainImage;
	}
	public void setMainImage(String mainImage) {
		this.mainImage = mainImage;
	}
	public String getLatitude() {
		return latitude;
	}
	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}
	public String getLongitude() {
		return longitude;
	}
	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}
	public String getSidoName() {
		return sidoName;
	}
	public void setSidoName(String sidoName) {
		this.sidoName = sidoName;
	}
	public String getSigunguName() {
		return sigunguName;
	}
	public void setSigunguName(String sigunguName) {
		this.sigunguName = sigunguName;
	}
	public String getAddr1() {
		return addr1;
	}
	public void setAddr1(String addr1) {
		this.addr1 = addr1;
	}
	public String getAddr2() {
		return addr2;
	}
	public void setAddr2(String addr2) {
		this.addr2 = addr2;
	}
	public String getNtceBgnde() {
		return ntceBgnde;
	}
	public void setNtceBgnde(String ntceBgnde) {
		this.ntceBgnde = ntceBgnde;
	}
	public String getNtceEndde() {
		return ntceEndde;
	}
	public void setNtceEndde(String ntceEndde) {
		this.ntceEndde = ntceEndde;
	}
	public String getWebsite() {
		return website;
	}
	public void setWebsite(String website) {
		this.website = website;
	}
	public Date getCreatedTime() {
		return createdTime;
	}
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	public Date getModifiedTime() {
		return modifiedTime;
	}
	public void setModifiedTime(Date modifiedTime) {
		this.modifiedTime = modifiedTime;
	}
	public String[] getCategoryArray1() {
		String[] ret = null;
		if(this.categoryArray1 != null){
			ret = new String[categoryArray1.length]; 
			ret = this.categoryArray1;
		}
		return ret;
	}
	
	public void setCategoryArray1(String[] categoryArray1) { 
		this.categoryArray1 = new String[categoryArray1.length]; 
		for(int i=0; i<categoryArray1.length; ++i) {
			this.categoryArray1[i] = categoryArray1[i]; 
		}
	}
	
	public String[] getCategoryArray2() {
		String[] ret = null;
		if(this.categoryArray2 != null){
			ret = new String[categoryArray2.length]; 
			ret = this.categoryArray2;
		}
		return ret;
	}
	
	public void setCategoryArray2(String[] categoryArray2) { 
		this.categoryArray2 = new String[categoryArray2.length]; 
		for(int i=0; i<categoryArray2.length; ++i) {
			this.categoryArray2[i] = categoryArray2[i]; 
		}
	}
	
	/**
	 * toString
	 * @return String
	 */
    public String toString() {
    	return ToStringBuilder.reflectionToString(this);
    }
}
